org.apache.lucene.search.similarities

## Class BasicModelIne

- java.lang.Object
- - org.apache.lucene.search.similarities.BasicModel
  - - org.apache.lucene.search.similarities.BasicModelIne

    public class BasicModelIne
    extends BasicModel

Tf-idf model of randomness, based on a mixture of Poisson and inverse document frequency.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`BasicModelIne()` Sole constructor: parameter-free

### Method Summary

Methods
`float` `score(BasicStats stats, float tfn)` Returns the informative content score.
`String` `toString()` Subclasses must override this method to return the code of the basic model formula.

### Methods inherited from class org.apache.lucene.search.similarities.BasicModel

`explain`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BasicModelIne

    public BasicModelIne()

Sole constructor: parameter-free

### Method Detail

#### score

    public final float score(BasicStats stats,
              float tfn)

Description copied from class: `BasicModel`
Returns the informative content score.

Specified by:
  `score` in class `BasicModel`

#### toString

    public String toString()

Description copied from class: `BasicModel`
Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `BasicModel`